---------------------
PatchSet 6420 
Date: 2005/02/11 01:34:05
Author: hno
Branch: ipv6
Tag: (none) 
Log:
Killed likely merge conflict

Members: 
	src/auth/basic/auth_basic.c:1.9.12.4->1.9.12.5 

Index: squid/src/auth/basic/auth_basic.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/auth/basic/auth_basic.c,v
retrieving revision 1.9.12.4
retrieving revision 1.9.12.5
diff -u -r1.9.12.4 -r1.9.12.5
--- squid/src/auth/basic/auth_basic.c	10 Feb 2005 02:41:39 -0000	1.9.12.4
+++ squid/src/auth/basic/auth_basic.c	11 Feb 2005 01:34:05 -0000	1.9.12.5
@@ -264,7 +264,7 @@
     authenticateStateData *r = data;
     auth_user_t *auth_user;
     basic_data *basic_auth;
-    auth_basic_queue_node *node, *tmpnode;
+    auth_basic_queue_node *tmpnode;
     int valid;
     char *t = NULL;
     debug(29, 9) ("authenticateBasicHandleReply: {%s}\n", reply ? reply : "<NULL>");
@@ -287,15 +287,14 @@
     if (valid)
 	r->handler(r->data, NULL);
     cbdataUnlock(r->data);
-    node = basic_auth->auth_queue;
-    while (node) {
-	tmpnode = node->next;
-	valid = cbdataValid(node->data);
+    while (basic_auth->auth_queue) {
+	tmpnode = basic_auth->auth_queue->next;
+	valid = cbdataValid(basic_auth->auth_queue->data);
 	if (valid)
-	    node->handler(node->data, NULL);
-	cbdataUnlock(node->data);
-	xfree(node);
-	node = tmpnode;
+	    basic_auth->auth_queue->handler(basic_auth->auth_queue->data, NULL);
+	cbdataUnlock(basic_auth->auth_queue->data);
+	xfree(basic_auth->auth_queue);
+	basic_auth->auth_queue = tmpnode;
     }
     authenticateStateFree(r);
 }
@@ -329,6 +328,7 @@
 	basicConfig = scheme->scheme_data;
 	basicConfig->basicAuthRealm = xstrdup("Squid proxy-caching web server");
 	basicConfig->authenticateChildren = 5;
+	basicConfig->credentialsTTL = 2 * 60 * 60;	/* two hours */
     }
     basicConfig = scheme->scheme_data;
     if (strcasecmp(param_str, "program") == 0) {
@@ -385,6 +385,7 @@
 authBasicDataFree(basic_data * basic_auth)
 {
 }
+
 #endif
 
 static auth_user_t *
